def longest_sequence(f):
  '''(file) -> int
  Return the number of lines in the longest 
  consecutive sequence of blank lines in f, 
  or zero if there are no blank lines at all.
  '''

  longest = 0
  current = 0
  for line in f:
    if line == '\n':
      current += 1
      if current > longest:
        longest = current
    else:
      current = 0
  return longest
      