def most_covered(bdm):
  '''(dict of {str:dict of {int:list of str}}) -> str
    
  bdm is a birthday month dictionary with at least one key. Return
  the name of the month that is most "covered" in the dictionary.
  I.e., the month with the most days on which someone has a birthday. If
  there is a tie, return any month with that maximum coverage.
  '''

  best_month = list(bdm.keys())[0]
  coverage = len(bdm[best_month])
  for k in bdm:
    new_coverage = len(bdm[k])
    if new_coverage > coverage:
      best_month = k
      coverage = new_coverage
  return best_month
