def combine(d1, d2):
  '''(dict of {object:list of int},
  dict of {object:list of int}) ->
  dict of {object:int}
  Return the dictionary where each key is a key
  that is in both d1 and d2.
  The value associated with each key in the new 
  dictionary is the sum of all the integers associated 
  with that key in d1 and d2.
  
  >>> combine({1:[2], 4:[5, 6]}, {4:[8]}
  {4:19}
  '''

  d = {}
  for k in d1:
    if k in d2:
      d[k] = sum(d1[k]) + sum(d2[k])
  return d
  
def fold(d1, d2):  
  '''(dict, dict) -> dict
  Return a new dictionary that contains all (b, c)
  such that (a, b) is in d1 and (a, c) is in d2.
  
  >>> fold({1:4, 9:10}, {1:5})
  {4:5}
  '''
  d = {}
  for k in d1:
    if k in d2:
      d[d1[k]] = d2[k]
  return d
  