import random

def make_dictionary(f):
  '''(file) -> dict of {str:list of str}

  Return lazy literature dictionary from f.
  '''

  d = {}
  context = ''
  for line in f:
    lst = line.split()
    for word in lst:
      if context not in d:
        d[context] = [word]
      else:
        d[context].append(word)
      context = word
  return d

def mimic_text(word_dict, num_words):
  '''(dict of {str:list of str}, int) -> str
  Based on the word patterns in word_dict, return a string that mimics
  that text, and has num_words words.    
  '''
    
  story = ''
  context = ''
    
  for i in range(num_words):
    # Choose the next word, based on context.
    follow_words = word_dict[context]        
    word = follow_words[random.randint(0, len(follow_words) - 1)]
        
    story = story + ' ' + word # add to story
    context = word
        
  return story        

# Read a text and remember the words and what comes after them in a dict
f = open(input("Training text: "))
d = make_dictionary(f)
print(mimic_text(d, 50))
