'''
Students with names and test scores.
'''

class Student(object):
  '''Represents a Student.'''

  def __init__(self, name, number):
    '''(str, int) -> Student
    Create Student with name and number 0 scores.
    '''
    self._name = name
    self._scores = []
    for count in range(number):
      self._scores.append(0)

  def getName(self):
    '''() -> str
    Return the Student's name.
    '''
    return self._name
  
  def setScore(self, i, score):
    '''(int, int) -> NoneType
    Reset the Student's ith score to score.
     '''
    self._scores[i - 1] = score

  def getScore(self, i):
    '''(int) -> int
    Return the Student's ith score.
    '''
    return self._scores[i - 1]
   
  def getAverage(self):
    '''() -> float
    Return the Student's average score.
    '''
    return sum(self._scores) / len(self._scores)
    
  def getHighScore(self):
    '''() -> int
    Return the Student's highest score.
    '''
    return max(self._scores)
 
  def __str__(self):
    '''() -> str
    Return the string representation of the Student.
    '''
    s = 'Name: ' + self._name + '\nScores: '
    str_scores = []
    for score in self._scores:
      str_scores.append(str(score))
    s = s + ' '.join(str_scores)
    return s
