import math


class Point(object):
  '''Two-dimensional points'''

  def __init__ (self, x, y):
    '''(int, int) -> Point
    Create two-dimensional Point at (x, y)
    '''
    self.x = x
    self.y = y

  def __str__(self):
    '''() -> str
    Return string form of Point.
    '''
    return '({0}, {1})'.format(self.x, self.y)

  def translate(self, dx, dy):
    '''(int, int) -> NoneType
    Move Point dx horizontally and dy vertically.
    '''
    self.x += dx
    self.y += dy

  def distance(self, other):
    '''(Point) -> float
    Return distance between this Point and other.
    '''
    a = (other.x - self.x) ** 2
    b = (other.y - self.y) ** 2
    return math.sqrt(a + b)
