class Account(object):

  def __init__(self, val):
    '''(int) -> Account
    
    Create bank account with val gold.
    '''
    self.gold = val
    
  def __eq__(self, other):
    '''(Account) -> bool
    Return True iff this account equals other.
    '''
    # There should be an isinstance check in here
    # just like we did with the Point class.
    # Currently, doing something like
    # Account(10) == 5
    # will cause an error because 5 has no
    # gold attribute. You want Account(10) == 5 to be False.
    return self.gold == other.gold

  def __ne__(self, other):
    '''(Account) -> bool
    Return True iff this account does not equal other.
    '''
    return not self.__eq__(other)

  def __lt__(self, other):
    '''(Account) -> bool
    Return True iff this Account is less than other.
    '''
    return self.gold < other.gold
