from functools import *

@total_ordering
class Point(object):
  '''Two-dimensional points'''

  def __init__ (self, x, y):
    '''(int, int) -> Point
    Create two-dimensional Point at (x, y)
    '''
    self.x = x
    self.y = y

  def __lt__(self, other):
    return isinstance(other, Point) and (self.x < other.x \
    or (self.x == other.x and self.y < other.y))
    
  def __eq__(self, other):
    return isinstance(other, Point) and self.x == other.x \
    and self.y == other.y
  
  def __ne__(self, other):
    return not self.__eq__(self, other)
      