from bank import SavingsAccount

class RestrictedSavingsAccount(SavingsAccount):
    '''Restricted savings accounts.'''

    MAX_WITHDRAWALS = 3
        
    def __init__(self, name, pin, balance = 0.0):
        '''(str, str, int) -> RestrictedSavingsAccount
        Create RestrictedSavingsAccount with given name, pin, and balance.
        '''
        SavingsAccount.__init__(self, name, pin, balance)
        self._counter = 0

    def withdraw(self, amount):
        '''(int) -> str or NoneType
        Withdraw the given amount. Return None if successful,
        or an error message if unsuccessful.
        '''
        if self._counter == \
           RestrictedSavingsAccount.MAX_WITHDRAWALS:
            return 'No more withdrawals this month'
        else:
            message = SavingsAccount.withdraw(self, amount)
            if message == None:
                self._counter += 1
            return message

    def resetCounter(self):
        '''() -> NoneType
        Reset the number of withdrawals.
        '''
        self._counter = 0
