def merge_dict(d1, d2):
  ''' (dict of ({object: int}, dict of {object: int})) -> NoneType
  Add key/value pairs from d2 into d1. If a key from d2 already
  appears in d1, the new value in d1 is the sum of the values. If a
  key appears only in d1 or d2, then the new value in d1 is the
  original value from the dictionary that contained this key.
  d2 is unchanged.
  '''
  for key, value in d2.items():
    if key in d1:
      d1[key] = d1[key] + d2[key]
    else:
      d1[key] = d2[key]
