import unittest
from inv import invert

def same_dicts(d1, d2):
  '''(dict of {object:list of object}, dict of {object:list of object})
  -> bool
  Return True iff d1 and d2 have the same keys, and pairs of values
  are the same irrespective of order.
  
  >>> same_dicts({1:[2, 3], 1:[3, 2]}
  True
  '''
  k1 = list(d1.keys())
  k2 = list(d2.keys())
  k1.sort()
  k2.sort()
  if k1 != k2:
    return False
  for k in d1:
    v1 = d1[k]
    v2 = d2[k]
    # In lecture, we used
    # v1 = d1[k][:]
    # v2 = d2[k][:]
    # v1.sort()
    # v2.sort()
    # Another way is below
    # sorted is similar to the list sort method
    # except that sorted returns the sorted list.
    # Contrast that with the sorted method, which modifies the list!
    
    if sorted(v1) != sorted(v2):
      return False
  return True
  

# one example test

class Test_invert(unittest.TestCase):

  def test_two_keys_same_value(self):
    d = {2:1, 3:1}
    d_copy = {2:1, 3:1}
    expected = {1:[3, 2]}
    inv_d = invert(d)
    self.assertTrue(same_dicts(expected, inv_d),
        'two keys with colliding values')
    self.assertEqual(d, d_copy,
        'dict was modified')

unittest.main(exit=False)
