def build_ranking_to_frequency(drinks):
  ''' (list of list of str) -> dict of {tuple of str: int}
  Given a list of list of str (where the inner lists are permutations
  of the list ['tea', 'coffee' ,'juice', 'cola']), 
  return a dictionary where the keys are tuples representing
  unique permutations that are in the original list and the
  values are the number of times that permutation occurs.

  >>> build_ranking_to_frequency([['cola', 'juice','coffee','tea'], 
                                 ['cola', 'juice', 'tea','coffee'],
                                 ['cola', 'juice','coffee','tea']])
  {('cola', 'juice', 'coffee', 'tea'): 2, 
   ('cola', 'juice', 'tea', 'coffee'): 1}
  '''
  ranking_to_count = {}
  for pref in drinks:
    #turn it into a tuple to use as dictionary key
    pref = tuple(pref)
    if pref in ranking_to_count:
      ranking_to_count[pref] += 1
    else:
      ranking_to_count[pref] = 1
  return ranking_to_count

  # a different technique is...

  ranking_to_count = {}
  for pref in drinks:
    num = drinks.count(pref)
    ranking_to_count[tuple(pref)] = num
  return ranking_to_count
  