class Member(object):
    '''A member of facebook, with a str name, a str status, and zero or
    more str friends.'''
    
    def __init__(self, s):
        '''A new member with name s, no friends, and status "no status yet".'''
        
        self.name = s
        self.friends = []
        self.status = "no status yet"
        
    def __str__(self):
        '''Return a str describing this member.'''
        
        result = "Name: {0}; Status: {1}".format(self.name, self.status)
        if self.friends == []:
            result += "; no friends yet"
        else:
            result += ", and friends: "
            for person in self.friends:
                result += person + ", "
            # Strip off the final comma.
            result = result[:-2]
        return result
    
    def add_friend(self, friend):
        '''Add str friend as a friend of this member.'''
        
        self.friends.append(friend)
        
    def update_status(self, new_status):
        '''Update this member's status to str new_status.'''
        
        self.status = new_status
        
